import { EventEmitter, OnInit } from '@angular/core';
/**
 * Optional component which provides an example of basic usability case for the datepicker component
 */
export declare class DatePickerInput implements OnInit {
    month: number;
    year: number;
    monthSpan: number;
    maxRange: number;
    beginRange: number | string;
    endRange: number | string;
    beginDate: number | string;
    endDate: number | string;
    alignCal: string;
    private dp;
    emitDate: EventEmitter<{}>;
    dates: string;
    ngOnInit(): void;
    show(event: any): void;
    dateChange(event: any): void;
}
