export interface ICalculateCenterPositionOptions {
    contentEdge: number;
    contentOffsetEdge: number;
    targetEdge: number;
    targetSize: number;
    contentOffsetSize: number;
}
export interface ICalculateEdgePosition {
    contentEdge: number;
    contentOffsetEdge: number;
    contentOffsetSize: number;
    targetEdge: number;
    targetSize: number;
    positionNearSide: boolean;
}
export declare function calculateCenteredOffsetPosition(o: ICalculateCenterPositionOptions): number;
export declare function calculateEdgeOffsetPosition(o: ICalculateEdgePosition): number;
