"use strict";
function calculateCenteredOffsetPosition(o) {
    var containerParentOffset = o.contentEdge - o.contentOffsetEdge;
    var offsetAdjustedEdge = o.targetEdge - containerParentOffset;
    return offsetAdjustedEdge + (o.targetSize - o.contentOffsetSize) / 2;
}
exports.calculateCenteredOffsetPosition = calculateCenteredOffsetPosition;
function calculateEdgeOffsetPosition(o) {
    var containerEdgeOffset = o.contentEdge - o.contentOffsetEdge;
    var nearsideTooltipPosition = o.targetEdge - containerEdgeOffset - o.contentOffsetSize;
    var farSideTooltipPosition = o.targetEdge - containerEdgeOffset + o.targetSize;
    return o.positionNearSide ? nearsideTooltipPosition : farSideTooltipPosition;
}
exports.calculateEdgeOffsetPosition = calculateEdgeOffsetPosition;
//# sourceMappingURL=position-helpers.js.map