import { ElementRef, OnInit } from '@angular/core';
/**
 * A simple directive which provides focus to its host element upon execution of its `ngOnInit` lifecycle hook.
 *
 * ### Simple Example
 *
 * ```
 * <input type="text" focusOnInit>
 * ```
 *
 */
export declare class FocusOnInit implements OnInit {
    private elementRef;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
}
