import { BaseStorage } from './base-storage';
export declare const createValuesFilter: <T>(pattern?: string, field?: string) => (d: T) => boolean;
export declare abstract class ValueStorage<T> extends BaseStorage<T> {
    protected entities: T[];
    constructor();
    readonly count: number;
    protected filterAndSort(): void;
    append(entity: T): void;
    bulkAppend(list: T[]): void;
}
