import { EventEmitter, OnInit } from '@angular/core';
export declare class Filtering implements OnInit {
    filterFields: Filtering.IFilterField[];
    emitFilter: EventEmitter<{}>;
    allField: {
        field: string;
        label: string;
    };
    filteredBy: {
        field: string;
        label: string;
    };
    private filterTermStream;
    filter(term: string): void;
    filterBy(field: any, value?: string): void;
    ngOnInit(): void;
}
export declare namespace Filtering {
    interface IFilterField {
        field: string;
        label: string;
    }
}
