/**
 * Showing an animation of dots when it is necessary to show that something it is still being loaded.
 * It is intended to be used only in small sections of a page.
 *
 * ### Simple Example
 *
 * ```
 * <loading-dots></loading-dots>
 * ```
 *
 * ### Example for altering the size of the dots
 *
 * ```
 * <loading-dots [style.font-size]="'54px'"></loading-dots>
 * ```
 */
export declare class LoadingDots {
}
