"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
/**
 * Showing an animation of dots when it is necessary to show that something it is still being loaded.
 * It is intended to be used only in small sections of a page.
 *
 * ### Simple Example
 *
 * ```
 * <loading-dots></loading-dots>
 * ```
 *
 * ### Example for altering the size of the dots
 *
 * ```
 * <loading-dots [style.font-size]="'54px'"></loading-dots>
 * ```
 */
var LoadingDots = (function () {
    function LoadingDots() {
    }
    LoadingDots = __decorate([
        core_1.Component({
            selector: 'loading-dots',
            styles: ["\n        @-webkit-keyframes opacity {\n            0% { opacity: 1; }\n            100% { opacity: 0; }\n        }\n        @-moz-keyframes opacity {\n            0% { opacity: 1; }\n            100% { opacity: 0; }\n        }\n        .loading-dots-container {\n            text-align: center;\n        }\n        .loading-dots {\n            text-align: center;\n            //margin: 100px 0 0 0;\n            //font-size: larger;\n        }\n        .loading-dots span {\n            -webkit-animation-name: opacity;\n            -webkit-animation-duration: 1s;\n            -webkit-animation-iteration-count: infinite;\n            -moz-animation-name: opacity;\n            -moz-animation-duration: 1s;\n            -moz-animation-iteration-count: infinite;\n        }\n        .loading-dots span:nth-child(2) {\n            -webkit-animation-delay: 100ms;\n            -moz-animation-delay: 100ms;\n        }\n        .loading-dots span:nth-child(3) {\n            -webkit-animation-delay: 300ms;\n            -moz-animation-delay: 300ms;\n        }\n    "],
            template: "\n        <div class=\"loading-dots-container\">\n            <span class=\"loading-dots\">\n                <span>.</span>\n                <span>.</span>\n                <span>.</span>\n            </span>\n        </div>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], LoadingDots);
    return LoadingDots;
}());
exports.LoadingDots = LoadingDots;
//# sourceMappingURL=loading-dots.js.map