"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var modal_base_1 = require('../modal-base/modal-base');
var styles = require('!!css-loader!less-loader!./modal.less').toString();
var Modal = (function () {
    function Modal() {
        this.submitted = false;
        this.emitSubmit = new core_1.EventEmitter();
        this.title = '';
        this.cancelLabel = 'Cancel';
        this.submitLabel = 'Submit';
        this.modalClass = '';
    }
    Modal.prototype.modalSubmit = function () {
        this.submitted = true;
    };
    Modal.prototype.emit = function () {
        this.emitSubmit.emit(this.submitted);
        this.submitted = false;
    };
    Modal.prototype.open = function () {
        this.modal.open();
    };
    __decorate([
        core_1.ViewChild(modal_base_1.ModalBase), 
        __metadata('design:type', modal_base_1.ModalBase)
    ], Modal.prototype, "modal", void 0);
    __decorate([
        core_1.Output(), 
        __metadata('design:type', core_1.EventEmitter)
    ], Modal.prototype, "emitSubmit", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], Modal.prototype, "title", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], Modal.prototype, "cancelLabel", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], Modal.prototype, "submitLabel", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], Modal.prototype, "modalClass", void 0);
    Modal = __decorate([
        core_1.Component({
            selector: 'modal',
            styles: [styles.toString()],
            template: require('./modal.html')
        }), 
        __metadata('design:paramtypes', [])
    ], Modal);
    return Modal;
}());
exports.Modal = Modal;
//# sourceMappingURL=modal.js.map