import { OnDestroy, OnInit } from '@angular/core';
import { NotificationService } from './notification-service';
export declare class Notification implements OnDestroy, OnInit {
    private notificationService;
    iconCssPrefix: string;
    private serviceSubscription;
    private baseColor;
    private notification;
    private hide;
    private icon;
    private hideTime;
    private fadeTime;
    private fadeTimerHandle;
    constructor(notificationService: NotificationService);
    show(message: string, type?: string): void;
    private setIconClass(type);
    close(): void;
    resetTimer(): void;
    restartTimer(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
