import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { ProgressService } from './progress-service';
export declare type progressStatus = 'init' | 'started' | 'success' | 'warning' | 'error';
export declare class Progress implements OnDestroy, OnInit {
    progressService: ProgressService;
    private cdr;
    private restartOnAjax;
    private baseColor;
    private progressColor;
    private progress;
    private intervalId;
    private initColorsTimeoutId;
    private status;
    private subscription;
    constructor(progressService: ProgressService, cdr: ChangeDetectorRef);
    private onEmit(status);
    setStatus(value: string, method: string): void;
    private start();
    private end();
    private grow();
    ngOnInit(): void;
    ngOnDestroy(): void;
}
