import { AfterViewInit, EventEmitter } from '@angular/core';
import { Subject } from 'rxjs/Subject';
export declare class ValueHandler implements AfterViewInit {
    private _original;
    private _validateFn;
    private required;
    private enableTooltip;
    private invalidMessage;
    private inputValueStream;
    private editing;
    private saving;
    private success;
    private error;
    private invalid;
    private tooltipPlace;
    private value;
    property: string;
    optional: boolean;
    original: string;
    validation: ValueHandler.IValidationRule;
    place: string;
    emitChange: EventEmitter<{}>;
    private input;
    private span;
    validate(value: string): void;
    startEditing(): void;
    private onError();
    private onSuccess();
    save: (value: string) => void;
    onTab(value: string, event: any): void;
    cancel(): void;
    private verifyTooltipVisibility();
    ngAfterViewInit(): void;
}
export declare namespace ValueHandler {
    interface IValidationRule {
        fn: Function;
        message: string;
    }
    interface IEvent {
        property: string;
        subject: Subject<any>;
        value: string;
    }
}
