"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var common_1 = require('@angular/common');
var forms_1 = require('@angular/forms');
var core_1 = require('@angular/core');
var filtering_1 = require('./components/filtering/filtering');
var hint_scroll_1 = require('./components/hint-scroll/hint-scroll');
var list_headers_1 = require('./components/list-headers/list-headers');
var loading_dots_1 = require('./components/loading-dots/loading-dots');
var modal_1 = require('./components/modal/modal');
var modal_base_1 = require('./components/modal-base/modal-base');
var notification_1 = require('./components/notification/notification');
var pagination_1 = require('./components/pagination/pagination');
var progress_1 = require('./components/progress/progress');
var value_handler_1 = require('./components/value-handler/value-handler');
var tooltip_1 = require('./components/tooltip/tooltip');
var focus_on_init_1 = require('./directives/focus-on-init/focus-on-init');
var toggle_on_hover_1 = require('./directives/toggle-on-hover/toggle-on-hover');
var tooltip_2 = require('./directives/tooltip/tooltip');
var date_moment_1 = require('./pipes/date-moment/date-moment');
var from_now_1 = require('./pipes/from-now/from-now');
var datepicker_1 = require('./components/datepicker/datepicker');
var datepicker_input_1 = require('./components/datepicker-input/datepicker-input');
var dropdown_1 = require('./directives/dropdown/dropdown');
var dropdown_trigger_1 = require('./directives/dropdown/dropdown-trigger');
var Ng2UEUtilsModule = (function () {
    function Ng2UEUtilsModule() {
    }
    Ng2UEUtilsModule = __decorate([
        core_1.NgModule({
            declarations: [
                filtering_1.Filtering,
                hint_scroll_1.HintScroll,
                list_headers_1.ListHeaders,
                loading_dots_1.LoadingDots,
                modal_1.Modal,
                modal_base_1.ModalBase,
                notification_1.Notification,
                pagination_1.Pagination,
                progress_1.Progress,
                value_handler_1.ValueHandler,
                focus_on_init_1.FocusOnInit,
                toggle_on_hover_1.ToggleOnHover,
                tooltip_1.Tooltip,
                tooltip_2.TooltipDirective,
                dropdown_1.DropdownDirective,
                dropdown_trigger_1.DropdownTriggerDirective,
                date_moment_1.DateMoment,
                from_now_1.FromNow,
                datepicker_1.DatePicker,
                datepicker_input_1.DatePickerInput
            ],
            exports: [
                filtering_1.Filtering,
                hint_scroll_1.HintScroll,
                list_headers_1.ListHeaders,
                loading_dots_1.LoadingDots,
                modal_1.Modal,
                modal_base_1.ModalBase,
                notification_1.Notification,
                pagination_1.Pagination,
                progress_1.Progress,
                value_handler_1.ValueHandler,
                focus_on_init_1.FocusOnInit,
                toggle_on_hover_1.ToggleOnHover,
                tooltip_1.Tooltip,
                tooltip_2.TooltipDirective,
                dropdown_trigger_1.DropdownTriggerDirective,
                dropdown_1.DropdownDirective,
                date_moment_1.DateMoment,
                from_now_1.FromNow,
                datepicker_1.DatePicker,
                datepicker_input_1.DatePickerInput
            ],
            imports: [
                common_1.CommonModule,
                forms_1.FormsModule
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], Ng2UEUtilsModule);
    return Ng2UEUtilsModule;
}());
exports.Ng2UEUtilsModule = Ng2UEUtilsModule;
//# sourceMappingURL=ng2-ue-utils.module.js.map