"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var http_1 = require('@angular/http');
var ClientRequestOptions = (function (_super) {
    __extends(ClientRequestOptions, _super);
    function ClientRequestOptions(options) {
        _super.call(this, options);
        if (!this.headers) {
            this.headers = new http_1.Headers();
        }
        if (window && window.location && window.location.href) {
            this.headers.append('X-Restart-URL', window.location.href);
        }
        this.headers.append('Accept', 'application/json');
        this.headers.append('Content-Type', 'application/json');
    }
    return ClientRequestOptions;
}(http_1.RequestOptions));
exports.ClientRequestOptions = ClientRequestOptions;
//# sourceMappingURL=client-request-options.js.map