import { Jwt } from './jwt';
import { WindowRef } from '../window-ref';
export declare class Cookie {
    key: string;
    value: string;
    constructor(key: string, value: string);
}
export declare class ContextHelper {
    private window;
    private gtmAppName;
    constructor(window: WindowRef, gtmAppName: string);
    orgNameFromPath(path: string): string;
    orgNameFromLocal(): string;
    orgNameToLocal(name: string): void;
    updateGtmContext(orgName: string, uuid?: string, email?: string): void;
    cookies(): Cookie[];
    cookie(key: string): string;
    accessToken: () => string;
    jwt: () => Jwt;
    getUser: () => string;
    getUuid: () => string;
}
