"use strict";
var ApiRoutes = (function () {
    function ApiRoutes(context, apiBasePath) {
        var _this = this;
        this.context = context;
        this.apiBasePath = apiBasePath;
        this.orgUrl = function (path) { return ("/organizations/" + _this.orgName + (path ? path : '')); };
        this.entity = function (identifier) { return _this.orgUrl("/" + _this.apiBasePath + "/" + identifier); };
        this.list = function () { return _this.orgUrl("/" + _this.apiBasePath); };
        this.new = function () { return _this.orgUrl("/" + _this.apiBasePath); };
        this.userInfo = function () { return '/userinfo'; };
        this.userRoles = function (user) { return ("/users/" + user + "/userroles"); };
        this.orgRole = function (role) { return _this.orgUrl("/userroles/" + role + "/permissions"); };
    }
    ;
    Object.defineProperty(ApiRoutes.prototype, "orgName", {
        get: function () {
            return this.context.orgName;
        },
        enumerable: true,
        configurable: true
    });
    return ApiRoutes;
}());
exports.ApiRoutes = ApiRoutes;
//# sourceMappingURL=api-routes.js.map