"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var WindowRef = (function () {
    function WindowRef() {
    }
    WindowRef.prototype.location = function (path) {
        if (window && window.location) {
            console.log('Redirecting to:', path);
            window.location.assign(path);
        }
    };
    WindowRef.prototype.getLocal = function (key) {
        if (window && window.localStorage && window.localStorage.getItem) {
            return window.localStorage.getItem(key);
        }
    };
    WindowRef.prototype.setLocal = function (key, value) {
        if (window && window.localStorage && window.localStorage.setItem) {
            return window.localStorage.setItem(key, value);
        }
    };
    WindowRef.prototype.cookies = function () {
        if (document) {
            return document.cookie;
        }
    };
    WindowRef.prototype.gtmContext = function (context) {
        if (window && window.dataLayer) {
            window.dataLayer.push(context);
        }
    };
    WindowRef = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [])
    ], WindowRef);
    return WindowRef;
}());
exports.WindowRef = WindowRef;
var WindowMock = (function () {
    function WindowMock() {
        this.local = {};
        this.gtmContexts = [];
    }
    WindowMock.prototype.location = function (path) {
        this.locationPath = path;
    };
    WindowMock.prototype.getLocal = function (key) {
        return this.local[key];
    };
    WindowMock.prototype.setLocal = function (key, value) {
        this.local[key] = value;
    };
    WindowMock.prototype.gtmContext = function (context) {
        this.gtmContexts.push(context);
    };
    WindowMock.prototype.cookies = function () {
        return this.cookieString;
    };
    WindowMock = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [])
    ], WindowMock);
    return WindowMock;
}());
exports.WindowMock = WindowMock;
//# sourceMappingURL=window-ref.js.map